/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ##    ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** SITE SETTINGS ****/
html {
    scroll-behavior: smooth;
    text-rendering: optimizeSpeed;
    shape-rendering: optimizeSpeed;
    image-rendering: auto;
}
body * {
    box-sizing: border-box;
}
body {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

/* DEFAULT VALUES */ 
.content {
    padding: calc(1rem + 10vh) calc(1rem + 18vw);
    margin: auto;
}
.inner {
    max-width: 1920px;
    margin: auto;
}
.flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 3rem;
}
.grid {
    display: grid;
    justify-content: space-between;
}
img {
    width: 100%;
}
a {
    text-decoration: none;
}

.site-container{
    max-width: 1900px;
    margin: 0 auto;
    background: #FFF;
}
/* BUTTON & SELECTION */
input[type=submit],
button {
    font-size: 1rem;
    font-weight: 600;
    padding: .8rem 1.6rem;
    height: fit-content;
    width: fit-content;
    cursor: pointer;
    border: none;
}

/* LIST & LIST ITEMS */
li, ul {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 1rem;
}
ul {
    flex-direction: column;
    align-items: baseline;
    padding: 0;
}

/**** SECTION 1: HEADER ****/
header {
    z-index: 2;
    position: relative;
    width: 100%;
}
.bottommenu{
    padding: 0 calc(1rem + 18vw);
}
.topmenu {
    padding: 1rem calc(1rem + 18vw) 0 calc(1rem + 18vw);
}
.bottommenu .inner,
.topmenu .inner {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
}
.topmenu nav{
    align-items: center;
}
.topmenu .inner{
    border-bottom: 1px solid var(--color-2);
}
.topmenu{
    border-top: 5px solid var(--color-3);
}

.topmenu button{
    padding: .5rem 1rem;
}
.call-menu img{
    height: 2rem;
    width: auto;
}
/* LOGO */
.logo {
    width: 9rem;
    height: auto;
}
.logo img {
    width: 9rem;
    height: 100%;
}

/* CALL2ACTION */
.call-menu {
    display: flex;
    align-items: center;
    gap: 1rem;
}
.call-menu-inner {
    display: flex;
    flex-direction: column;
    gap: 0;
    margin: 0;
}
.call-menu .menuitem {
    height: fit-content;
}
.call-menu .call-title {
    margin: 0;
    font-size: .9rem;
}
.call-menu .call-data {
    padding: 0;
    font-size: 1.3rem;
}

/* NAVIGATION */
nav {
    display: flex;
    gap: 1rem;
}
nav li {
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.topmenu nav li {
    height: 60px;
}
.dropdown li {
    height: fit-content;
}
nav li a {
    padding: 5px;
}
.bottommenu nav.visible {
    visibility: visible;
}

/* DROPDOWN MENU */
.dropdown {
    visibility: collapse;
    display: none;
    position: absolute;
    gap: 5px;
    padding: 1rem;
    align-items: center;
    top: 7.5rem;
    opacity: 0;
}
.dropdown.vertical {
    flex-direction: column;
}
.dropdown.horizontal {
    flex-direction: row;
}
.menuitem.horizontal:hover > .dropdown.horizontal,
.menuitem.vertical:hover > .dropdown.vertical {
    display: flex;
    visibility: visible;
    opacity: 1;
}
.menuitem a{
    font-weight: 600;
    font-size: 16px;
    letter-spacing: 1px;
  line-height: 27px;
}
/* BURGERMENU */
#burgermenu {
    display: none;
    cursor: pointer;
    font-size: 2rem;
}
#burgermenu.active {
    transform: rotate(180deg);
}

/**** SECTION 2: MAIN ****/

/* HERO */
#hero .inner{
    height: fit-content;
    max-height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}
#hero .content {
    position: absolute;
    text-wrap: balance;
    z-index: 1;
    left: 50%;
    transform: translate(-50%);
    bottom: 0;
    padding: 0;
}
#hero h1 {
    font-size: 38px;
    line-height: 1.2;
    padding: 20px 25px;
    display: inline-block;
}
#hero img{
    height: 30rem;
    object-fit: cover;
}
.right h2 {
    font-size: calc(1rem + 1vw);
    margin-bottom: 1rem;
}
.teaser,
#about .inner {
    align-items: center;
}
#about button {
    margin-top: 1rem;
}

/* SLIDER */
.slider-container {
    width: 100%;
    margin: auto;
    overflow: hidden;
    position: relative;
}
.slides {
    display: flex;
    transition: transform 0.5s ease-in-out;
}
.slide {
    min-width: 100%;
    box-sizing: border-box;
    height: 90vh;
    display: flex;
    justify-content: center;
}
.slide img {
    object-fit: cover;
}
.prev, 
.next {
    cursor: pointer;
    position: absolute;
    z-index: 1;
    top: 40%;
    width: 5rem;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    user-select: none;
    transition: 0.6s ease;
}
.next {
    right: 0;
}
.left,
.right {
    width: 100%;
}

/* TEASERBOX */
#teaserbox .grid{
    gap: 1rem;
    grid-template-columns: repeat(3, 1fr);
}
.box {
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}
#teaserbox .box p,
#teaserbox .box h3 {
    text-align: left;
    padding: 0;
    margin: 0;
}
#teaserbox .box-inner{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    width: 100%;
    padding: 27px 20px;
}
#teaserbox .box-icon {
    position: relative;
    height: 80px;
}
#teaserbox .box-content {
    grid-column: span 2;
}
#teaserbox .box-icon::before {
    content: "";
    position: absolute;
    left: 0;
    width: 70px;
    height: 65px;
    top: 15px;
    background-image: url(../img/iconset_farbenkoenig.png);
    background-repeat: no-repeat;
    background-size: 638px;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    -ms-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
}
.all {
    display: flex;
    justify-content: space-between;
    margin: 0 0 1rem 0;
}
.all div {
    display: flex;
    align-items: center;
}
.all a {
    display: flex;
    gap: 1rem;
}
.all span,
.all i {
    font-size: 1.5rem;
}
.all a {
    align-items: center;
    gap: 1rem;
}
.all a:hover i {
    transform: rotate(-35deg);
}

/* TEASERBOX ICONS */
#teaserbox .box.innere-malerarbeiten .box-icon::before {
    background-position: -3px -5px;
}
#teaserbox .box.aeussere-malerarbeiten .box-icon::before {
    background-position: -72px -4px;
}
#teaserbox .box.kreativarbeiten .box-icon::before {
    background-position: -141px -4px;
}

#teaserbox .box.tapezierarbeiten .box-icon::before {
    background-position: -211px -5px;
}
#teaserbox .box.fassadenrenovation .box-icon::before {
    background-position: -282px -6px;
}
#teaserbox .box.bodenbeschichtung .box-icon::before {
    background-position: -352px -4px;
}

#teaserbox .box.schimmelbekaempfung .box-icon::before {
    background-position: -421px -4px;
}
#teaserbox .box.holzschutz .box-icon::before {
    background-position: -492px -4px;
}
#teaserbox .box.abrieb-und-verputz .box-icon::before {
    background-position: -569px -4px;
}


/* CALL TO ACTION */
form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 2rem 0 0 0;

}
.cta{
    padding: calc(1rem + 10vh) calc(1rem + 28vw);
}
.form h3 {
    font-size: calc(1rem + 1vw);
    margin: 0;
}
.form h4 {
    font-size: calc(1rem + .5rem);
    margin: 0;
}
.info {
    justify-content: space-between;
    gap: .5rem;
}
.info input {
    width: 100%;
    padding: .5rem 1rem;
    border: none;
    font-size: 1rem;
}
textarea {
    padding: .5rem 1rem;
    font-size: 1rem;
    border: none;
    resize: none;
}
#recaptcha {
    display: flex;
    align-items: center;
    gap: 2rem;
}
.alert {
    display: none;
    padding: 10px 0;
}
.alert i {
    padding-right: 5px;
}
.option {
    gap: 1rem;
    padding: 1rem 0;
    align-items: center;
}
.option .number,
.option .address {
    display: flex;
    align-items: center;
    margin-top: 1rem;
    font-size: 18px;
    gap: 1rem;
}
.buttons {
    gap: 1rem;
}

/* TEASER */
.teaser {
    gap: 2rem;
    padding: 2rem;
    margin: 5rem 0;
}
.teaser div:nth-of-type(1) {
    grid-column: 1;
}
.teaser div:nth-of-type(2) {
    grid-column: 2;
}
.teaser div:nth-of-type(3) {
    grid-column: 3;
}
.teaser i{
    font-size: 2rem;
    height: 5rem;
    width: 5rem;
    border-radius: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.teaser h3 {
    font-size: calc(1rem + .5vw);
    margin: .5rem 0;
}
.teaser p {
    margin: 0;
}
li i {
    font-size: 5px;
}
a i {
    font-size: 2rem;
}
#linkblock {
    min-width: 30%;
    flex-direction: column;
    gap: 0;
}
#linkblock li::before {
    content: "•";
}
#selection {
    display: flex;
    align-items: center;
    width: fit-content;
    cursor: pointer;
    gap: 1rem;
}
#selection span {
    display: flex;
    align-items: center;
    cursor: pointer;
    height: 2rem;
}
#selection label {
    cursor: pointer;
}
#more {
    visibility: collapse;
    opacity: 0;
}

/**** SECTION 3: FOOTER ****/
#topfooter {
    padding: calc(1rem + 5vh) calc(1rem + 28vw) calc(1rem + 5vh) calc(1rem + 18vw);
   
}
#bottomfooter {
    text-align: center;
    padding-top: .5rem;
    padding-bottom: .5rem;
}
#topfooter .box{
    grid-row: 1;
}
#topfooter .address{
    display: flex;
    flex-direction: column;
    align-items: start;

}
#topfooter p{
    margin: 0;
    font-size: 16px;
}
#topfooter a:hover{
    border-bottom: 1px solid rgba(170, 170, 170, .5);
    color: #fff;
}
#topfooter h3{
    margin-bottom: 0.2rem;
    font-size: 18px;
}
#topfooter .link-box{
    display: flex;
    gap: 2rem;
}
#topfooter img{
    height: 50px;
    width: auto;
}
/* COOKIE POPUP */
#popup {
    position: fixed;
    margin: 2rem;
    bottom: 0;
    right: 0;
    z-index: 4;
    padding: 1rem 2rem;
    max-width: 25rem;
    border-radius: 2rem;
}
#popup h3 {
    display: flex;
    align-items: center;
    gap: 10px;
}
.select {
    gap: 1rem;
    justify-content: left;
    margin-top: 2rem;
}
.select button {
    width: 100%;
}